classification
Title: Update curses docs to Python 3
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, r.david.murray, serhiy.storchaka, twouters
Priority: normal Keywords: patch

Created on 2017-07-07 15:14 by serhiy.storchaka, last changed 2017-10-05 07:27 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2620 merged serhiy.storchaka, 2017-07-07 15:15
PR 3887 merged serhiy.storchaka, 2017-10-04 19:45
Messages (3)
msg297892 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-07 15:14
The curses libraries works with strings and characters. But what are strings? In different functions this means different: Unicode strings, byte strings or any. Proposed PR explains this. It also unifies the documentation of boolean arguments, and fixes some references and formatting.
msg303730 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-04 19:44
New changeset 300dd552b15825abfe0e367ac14cec4c3e050dbc by Serhiy Storchaka in branch 'master':
bpo-30872: Update the curses docs to Python 3. (#2620)
https://github.com/python/cpython/commit/300dd552b15825abfe0e367ac14cec4c3e050dbc
msg303741 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-05 06:35
New changeset de5427a8f7ce15565d13383bc8d279bb07dda1cb by Serhiy Storchaka in branch '3.6':
[3.6] bpo-30872: Update the curses docs to Python 3. (GH-2620) (#3887)
https://github.com/python/cpython/commit/de5427a8f7ce15565d13383bc8d279bb07dda1cb
History
Date User Action Args
2017-10-05 07:27:48serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: - Python 3.5
2017-10-05 06:35:51serhiy.storchakasetmessages: + msg303741
2017-10-04 19:45:53serhiy.storchakasetkeywords: + patch
pull_requests: + pull_request3862
2017-10-04 19:44:19serhiy.storchakasetmessages: + msg303730
2017-07-07 15:15:46serhiy.storchakasetpull_requests: + pull_request2686
2017-07-07 15:14:13serhiy.storchakacreate